Bug 208410 - securitylevel firstboot confirmation dialog
securitylevel firstboot confirmation dialog
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-28 09:53 EDT by Mark McLoughlin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 14:51:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2006-09-28 09:53:18 EDT
I was a bit surprised to see this:

  Clicking the 'Yes' button will set the security level of the 
  system and override any existing firewall configuration.  
  Are you sure that you want to do this?

For a few reasons:

  - this is firstboot, so what am I overriding?

  - even if I make a mistake, I can still click back or even change
    it back again later i.e. I can't accidently do any irreversible damage

  - it's the only confirmation dialog in firstboot AFAIK
Comment 1 Chris Lumens 2006-10-02 14:43:39 EDT
You're overriding the default firewall config, which is set up by anaconda.  It
basically sets up ssh to be open and selinux to enforcing, though there are a
couple other stupid ports open by default (this is already a known bug). 
There's at least two other confirmation dialogs in firstboot - one if you do not
agree to the license agreement, and one if you do not make a user.  I don't
think that is too out of place here.  Changing that means special casing a bunch
of crud in s-c-securitylevel.

Note You need to log in before you can comment on or make changes to this bug.